DOMAINS - CHANGE DNS

Domains - Change Dns API Endpoints

Complete documentation for all Domains - Change Dns related endpoints.

POST

Change DNS / Nameservers

Update the nameservers (DNS) for a registered domain.

Endpoint Details

HTTP Request
POST https://0xhost.com/API/domains/change_nameserver
Parameters
Parameter Type Required Description
domain string Yes Full domain name (e.g. example.com)
dns1 string Yes Primary nameserver
dns2 string Yes Secondary nameserver
Authentication
API Key Required in header
Headers
Header Value Required Description
x-api-key your_api_key_here Yes Your unique API key for authentication
Content-Type application/json Optional Recommended for consistent response handling

Response Fields

Field Type Description
success boolean Indicates if the operation was successful
message string Response message describing the result
data object/array Contains the response data

Success Response

API Response Example
{
    "success": true,
    "message": "Nameservers updated successfully",
    "data": {
        "domain": "exampledomain.com",
        "dns1": "ns1.example.com",
        "dns2": "ns2.example.com",
        "updated_at": "2025-11-24T19:08:32+01:00"
    }
}

Code Examples

Programming Languages
JavaScript (Fetch API)
async function makeRequest() {
  try {
    const response = await fetch('https://0xhost.com/API/domains/change_nameserver', {
      method: 'POST',
      headers: {
        'x-api-key': 'your_api_key_here',
        'Content-Type': 'application/json'
      },
      body: JSON.stringify({
          "domain": "exampledomain.com",
          "dns1": "ns1.example.com",
          "dns2": "ns2.example.com"
      })
    });

    const data = await response.json();
    console.log('Response:', data);
    return data;
  } catch (error) {
    console.error('Error:', error);
  }
}
Python (Requests)
import requests
import json

def make_request(api_key):
    url = 'https://0xhost.com/API/domains/change_nameserver'
    headers = {
        'x-api-key': api_key,
        'Content-Type': 'application/json'
    }
    data = {
        "domain": "exampledomain.com",
        "dns1": "ns1.example.com",
        "dns2": "ns2.example.com"
    }

    response = requests.POST(
        url,
        headers=headers,
        json=data
    )

    if response.status_code == 200:
        return response.json()
    else:
        print(f'Error: {response.status_code}')
        return None
PHP (cURL)
function makeRequest($apiKey) {
    $url = 'https://0xhost.com/API/domains/change_nameserver';
    $data = {
        "domain": "exampledomain.com",
        "dns1": "ns1.example.com",
        "dns2": "ns2.example.com"
    };

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'x-api-key: ' . $apiKey,
        'Content-Type: application/json'
    ]);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));

    $response = curl_exec($ch);
    $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);

    return json_decode($response, true);
}
cURL Command
curl -X POST \
  'https://0xhost.com/API/domains/change_nameserver' \
  -H 'x-api-key: your_api_key_here' \
  -H 'Content-Type: application/json' \
  -d '{    "domain": "exampledomain.com",    "dns1": "ns1.example.com",    "dns2": "ns2.example.com"}'